<bugID>1397387<Summary>No longer able to edit bookmark item after closing  New Bookmark or New Bookmark Folder dialog by [x] button</Summary><Description>[Tracking Requested - why for this release]:

+++ This bug was initially created as a clone of Bug #1397369 +++

User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:57.0) Gecko/20100101 Firefox/57.0
Build ID: 20170905220108

Steps to reproduce:

STR
1. Enable Bookmarks toolbar
2. Right click on the toolbar and Choose "New Bookmark/Folder..." and then click on [x] button

3. Try delete, rename, move a bookmark item


Actual results:
New Bookmarks/Folder are created at step2.
No longer able to edit bookmark item at step3 until restart browser.


Expected results:
New Bookmarks/Folder should not be created at step2.
Eble to edit bookmark item at step3.


Regression window:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=0da00124af43d44fed96133300ba5e32b0d821a8&amp;tochange=0a4690dfd7b383e2f732210cf8906ce51a5b2433

Regressed by:
0a4690dfd7b3	Mark Banner &#8212; Bug 1071513 - Enable async PlacesTransactions for nightly builds. r=mak</Description></bugID>